summaryrefslogtreecommitdiffstats
path: root/games/wesnoth
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-12 17:39:39 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:39:39 +0200
commita30fbcc63270f7ba69364e231e3112028d8675a6 (patch)
tree3dfd6d9b29fd1f983a270fa8d0822b708186ccc0 /games/wesnoth
parentf01fa50fe20f634dcd4165ac3b4023d34c3be3d1 (diff)
downloadslackbuilds-a30fbcc63270f7ba69364e231e3112028d8675a6.tar.gz
slackbuilds-a30fbcc63270f7ba69364e231e3112028d8675a6.tar.xz
games/wesnoth: Updated for version 1.6.1
Diffstat (limited to 'games/wesnoth')
-rw-r--r--games/wesnoth/README5
-rw-r--r--games/wesnoth/wesnoth.SlackBuild41
-rw-r--r--games/wesnoth/wesnoth.info9
3 files changed, 31 insertions, 24 deletions
diff --git a/games/wesnoth/README b/games/wesnoth/README
index dffef9a5c8..318317a882 100644
--- a/games/wesnoth/README
+++ b/games/wesnoth/README
@@ -11,8 +11,7 @@ the following switches to the wesnoth.Slackbuild script:
--enable-campaign-server
--with-server-uid=user
--with-server-gid=group
-and replace 'user' and 'group' with the UID and GID under which you want
+and replace 'user' and 'group' with the UID and GID under which you want
the server to run.
-Please note that Wesnoth now need boost to compile. A SlackBuild script for
-boost is available at SlackBuilds.org
+Wesnoth now requires boost, which is also available at SlackBuilds.org.
diff --git a/games/wesnoth/wesnoth.SlackBuild b/games/wesnoth/wesnoth.SlackBuild
index b42ea7ae56..1282fa3cf5 100644
--- a/games/wesnoth/wesnoth.SlackBuild
+++ b/games/wesnoth/wesnoth.SlackBuild
@@ -2,8 +2,8 @@
# SlackBuilid script for "Battle of Wesnoth".
-# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
-# All rights reserved.
+# Copyright 2007-2009 Michiel van Wessem, Manchester, United Kingdom
+# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
@@ -24,33 +24,36 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-NAME=wesnoth
-VERSION=${VERSION:-1.4.5}
+PRGNAM=wesnoth
+VERSION=${VERSION:-1.6.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$NAME
+PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
-set -e
+set -e # Exit on all errors.
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-rm -rf $TMP/$NAME-$VERSION
+rm -rf $TMP/$PRGNAM-$VERSION
cd $TMP
-tar xvf $CWD/$NAME-$VERSION.tar.bz2
-cd $NAME-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -62,10 +65,11 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --localstatedir=/var \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
- --docdir=/usr/doc/$NAME-$VERSION \
+ --localstatedir=/var \
--mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--enable-python \
--enable-editor \
--enable-tools \
@@ -74,22 +78,25 @@ CXXFLAGS="$SLKCFLAGS" \
--disable-debug \
--build=$ARCH-slackware-linux
-make
+make
make install-strip DESTDIR=$PKG
-( cd $PKG/usr/man || exit 1
+# Let's not pollute the toplevel /usr/share/icons
+mv $PKG/usr/share/icons $PKG/usr/share/pixmaps
+
+( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
-mkdir -p $PKG/usr/doc/$NAME-$VERSION
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a ABOUT-NLS COPYING INSTALL README changelog copyright \
- $PKG/usr/doc/$NAME-$VERSION
-cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/wesnoth/wesnoth.info b/games/wesnoth/wesnoth.info
index 5d56db73e8..9f022e290f 100644
--- a/games/wesnoth/wesnoth.info
+++ b/games/wesnoth/wesnoth.info
@@ -1,8 +1,9 @@
PRGNAM="wesnoth"
-VERSION="1.4.5"
+VERSION="1.6.1"
HOMEPAGE="http://www.wesnoth.org"
-DOWNLOAD="http://downloads.sourceforge.net/wesnoth/wesnoth-1.4.5.tar.bz2"
-MD5SUM="09b7b76d4a4eedf502f38df9d551d827"
+DOWNLOAD="http://downloads.sourceforge.net/wesnoth/wesnoth-1.6.1.tar.bz2"
+MD5SUM="6777ec9bfb44b1553a4b7dd2d12c0713"
MAINTAINER="Michiel van Wessem"
EMAIL="michiel@slackbuilds.org"
-APPROVED="rworkman"
+APPROVED="dsomero"
+